Subject: bug#44769: [staging] gst-plugins-bad fails tests on aarch64, armhf, i686

From: Guillaume Le Vaillant <[email-masked]>
Date: Sat, 21 Nov 2020 10:51:49 +0100

Marius Bakke <[email-masked]> skribis:

> Hello Guix,
>
> gst-plugins-bad fails its test suite on anything other than x86_64-linux.
>
> Upstream issues:
>
>   i686: https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1463
>   aarch64: https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1464
>
> (I believe the i686 issue affects armhf too)
>
> This issue is currently holding up merging of 'staging' because
> gst-plugins-bad is a dependency of 'cheese', which is a dependency of
> 'gnome'.
>
> To move on with the merge, I wonder whether to:
>
> 1. Disable the affected tests, as upstream does not seem terribly
>    concerned.
> 2. Drop 'cheese' from 'gnome'.
>
> I'm leaning towards 2, as the AArch64 failure looks kind of serious.
> Unfortunately 'cheese' does seem to require gst-plugins-bad.
>
> Thoughts?

Hi,

I tested a few programs on 'staging' on x86-64 and I got some GStreamer
related issues. However I don't know if there is a link with the failing
tests on other architectures.

I wasn't able to play anything with the 'gst-play-1.0' program. It
always errors out with the message:
"Failed to create 'playbin' element. Check your GStreamer installation."

The 'clementine' program crashes because of a segmentation fault inside
a GStreamer function when trying to play a music file.

--8<---------------cut here---------------start------------->8---
Thread 1 ".clementine-rea" received signal SIGSEGV, Segmentation fault.
0x000000000092aafe in CheckedGConnect(void*, char const*, void (*)(), void*, int) ()
(gdb) backtrace
#0  0x000000000092aafe in CheckedGConnect(void*, char const*, void (*)(), void*, int) ()
#1  0x00000000006c73e5 in GstEnginePipeline::ReplaceDecodeBin(QUrl const&) ()
#2  0x00000000006cb7ac in GstEnginePipeline::InitFromUrl(QUrl const&, long long) ()
#3  0x00000000006c1fde in GstEngine::CreatePipeline(QUrl const&, long long) ()
#4  0x00000000006c26d8 in GstEngine::Load(QUrl const&, QFlags<Engine::TrackChangeType>, bool, unsigned long long, long long) ()
#5  0x00000000006bbb08 in Engine::Base::Play(QUrl const&, QFlags<Engine::TrackChangeType>, bool, unsigned long long, long long) ()
#6  0x000000000066f318 in Player::PlayAt(int, QFlags<Engine::TrackChangeType>, bool) ()
#7  0x00000000007ff958 in MainWindow::PlaylistDoubleClick(QModelIndex const&) ()
#8  0x00000000008eb62a in MainWindow::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) ()
#9  0x00007ffff742ce73 in void doActivate<false>(QObject*, int, void**) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Core.so.5
#10 0x00007ffff615fdd5 in QAbstractItemView::doubleClicked(QModelIndex const&) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Widgets.so.5
#11 0x00007ffff61ce3c8 in QTreeView::mouseDoubleClickEvent(QMouseEvent*) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Widgets.so.5
#12 0x00007ffff5f60d69 in QWidget::event(QEvent*) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Widgets.so.5
#13 0x00007ffff60032de in QFrame::event(QEvent*) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Widgets.so.5
#14 0x00007ffff616b18c in QAbstractItemView::viewportEvent(QEvent*) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Widgets.so.5
#15 0x00007ffff61cfe1c in QTreeView::viewportEvent(QEvent*) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Widgets.so.5
#16 0x00007ffff73f3e1d in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Core.so.5
#17 0x00007ffff5f21bd2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Widgets.so.5
#18 0x00007ffff5f293f7 in QApplication::notify(QObject*, QEvent*) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Widgets.so.5
#19 0x00007ffff73f4088 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Core.so.5
#20 0x00007ffff5f27e9c in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool, bool) ()
   from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Widgets.so.5
#21 0x00007ffff5f7a1c6 in QWidgetWindow::handleMouseEvent(QMouseEvent*) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Widgets.so.5
#22 0x00007ffff5f7cd2e in QWidgetWindow::event(QEvent*) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Widgets.so.5
#23 0x00007ffff5f21bfc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Widgets.so.5
#24 0x00007ffff5f2892f in QApplication::notify(QObject*, QEvent*) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Widgets.so.5
#25 0x00007ffff73f4088 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Core.so.5
#26 0x00007ffff5829d26 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) ()
   from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Gui.so.5
#27 0x00007ffff582b2b5 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) ()
   from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Gui.so.5
#28 0x00007ffff58054bb in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Gui.so.5
#29 0x00007fffef57452a in xcbSourceDispatch(_GSource*, int (*)(void*), void*) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5XcbQpa.so.5
#30 0x00007ffff6b99eda in g_main_context_dispatch () from /gnu/store/l55zrgjpzk52f33g1z9l2333qzk4735k-glib-2.62.6/lib/libglib-2.0.so.0
#31 0x00007ffff6b9a0d8 in g_main_context_iterate.isra () from /gnu/store/l55zrgjpzk52f33g1z9l2333qzk4735k-glib-2.62.6/lib/libglib-2.0.so.0
#32 0x00007ffff6b9a15c in g_main_context_iteration () from /gnu/store/l55zrgjpzk52f33g1z9l2333qzk4735k-glib-2.62.6/lib/libglib-2.0.so.0
#33 0x00007ffff744fcdc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Core.so.5
#34 0x00007ffff73f2a4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Core.so.5
#35 0x00007ffff73fbb00 in QCoreApplication::exec() () from /gnu/store/p6gcdpw824izd2x7aq55w4167j9bymjs-qtbase-5.14.2/lib/libQt5Core.so.5
#36 0x000000000064474c in main ()
--8<---------------cut here---------------end--------------->8---

Can someone reproduce these issues?